Subject: bug#66782: 29.1; ERT tests report test redefined depending on loading sequence

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Oct 2023 14:34:53 +0300

> From: Xiyue Deng <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 28 Oct 2023 04:14:15 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > OK, but why do that in a single Emacs session?  That is unclean for
> > much more important reasons: some left-overs from previous tests could
> > affect the following tests.  IMO, each test should be run in a fresh
> > Emacs session, i.e. no command line should ever load more than a
> > single test file.
> 
> I think one reason is that doing all test in one session gives you a
> nice summary of how many tests passed and which ones failed in the end.
> If you run just one test per session you'll have to inspect the results
> manually which could be much more time consuming for large test suites,
> and plus it may be slower.

The usual way of doing this is to generate summary by some shell
script, which runs all the tests one by one.  Emacs is not the only
program that can count ;-)